Subject: bug#39693: Sv: bug#39693: Any chance of fixing --rfc-3339 to conform to the standard?

From: Paul Eggert <[email-masked]>
Date: Fri, 21 Feb 2020 11:25:40 -0800

On 2/20/20 11:56 PM, Mads Bondo Dydensborg wrote:
> Your statement is in conflict with the message exchange, referenced by the bug I linked to, with, as I understand it, the authors of the standard:

Not really. In that email exchange one of the authors of the RFC 
mentioned a goal of the RFC. The part of the RFC that I quoted, though, 
is an explicit exception to that particular goal. The RFC had several 
goals, they sometimes conflicted, and the RFC's text was a compromise. I 
was involved with the drafting of the RFC, and remember the history 
reasonably well.

> The ISO output from date can not be used, as it uses a "," as fractional separator

You can use the following if you want subsecond resolution with both 'T' 
and '.':

date '+%Y-%m-%dT%H:%M:%S.%N%:z'

This won't work for some historical timestamps (e.g., the Netherlands 
before 1937) but RFC 3339 doesn't support them anyway so it's probably 
good enough.